org.apache.velocity.tools.view

## Class UiDependencyTool.TypeRule

- java.lang.Object
- - org.apache.commons.digester3.Rule
  - - org.apache.velocity.tools.view.UiDependencyTool.TypeRule

Enclosing class:
  UiDependencyTool

    protected static class UiDependencyTool.TypeRule
    extends org.apache.commons.digester3.Rule

NOTE: This class may change or disappear w/o warning; don't depend on it unless you're willing to update your code whenever this changes.

### Constructor Summary

Constructors
`protected` `TypeRule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `begin(String ns, String el, Attributes attributes)`
`void` `body(String ns, String el, String typeFormat)`

### Methods inherited from class org.apache.commons.digester3.Rule

`end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeRule

    protected TypeRule()

### Method Detail

#### begin

    public void begin(String ns,
                      String el,
                      Attributes attributes)
               throws Exception

Overrides:
  `begin` in class `org.apache.commons.digester3.Rule`
Throws:
  `Exception`

#### body

    public void body(String ns,
                     String el,
                     String typeFormat)
              throws Exception

Overrides:
  `body` in class `org.apache.commons.digester3.Rule`
Throws:
  `Exception`